#include "MQBasePlugin.h"

// CNX
class CopyNames : public MQSelectPlugin
{
public:
	CopyNames();
	virtual ~CopyNames();

	virtual void GetPlugInID(DWORD *Product, DWORD *ID);
	virtual const char *GetPlugInName(void);
	virtual const char *EnumString(int index);
	virtual BOOL Execute(int index, MQDocument doc);

	BOOL main(int mode, cmq::CMQDocument &doc);
private:
	cmq::CMQDocument doc;

	BOOL copyObjectNamesToClipboard(cmq::CMQDocument &doc);
	BOOL restoreObjectNamesFromClipboard(cmq::CMQDocument &doc);
	BOOL copyMaterialNamesToClipboard(cmq::CMQDocument &doc);
	BOOL restoreMaterialNamesFromClipboard(cmq::CMQDocument &doc);

	std::vector<cmq::oindex_t> getSelectedObjects(cmq::CMQDocument &doc);
	std::vector<cmq::mindex_t> getSelectedMaterials(cmq::CMQDocument &doc);
};
